Index: cprs/trunk/CPRS-Chart/Consults/fODConsult.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Consults/fODConsult.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/Consults/fODConsult.dfm	(revision 829)
@@ -11,4 +11,6 @@
   Constraints.MinWidth = 606
   Font.Charset = ANSI_CHARSET
+  ExplicitWidth = 606
+  ExplicitHeight = 376
   PixelsPerInch = 96
   TextHeight = 13
@@ -20,12 +22,44 @@
     Caption = 'Consult to Service/Specialty'
   end
-  object pnlReason: TPanel [1]
+  object lblProvDiag: TLabel [1]
+    Left = 309
+    Top = 81
+    Width = 100
+    Height = 13
+    Anchors = [akTop, akRight]
+    Caption = 'Provisional Diagnosis'
+  end
+  object lblUrgency: TLabel [2]
+    Left = 309
+    Top = 2
+    Width = 40
+    Height = 13
+    Anchors = [akTop, akRight]
+    Caption = 'Urgency'
+  end
+  object lblPlace: TLabel [3]
+    Left = 454
+    Top = 43
+    Width = 100
+    Height = 13
+    Anchors = [akTop, akRight]
+    Caption = 'Place of Consultation'
+  end
+  object lblAttn: TLabel [4]
+    Left = 454
+    Top = 2
+    Width = 42
+    Height = 13
+    Anchors = [akTop, akRight]
+    Caption = 'Attention'
+  end
+  object pnlReason: TPanel [5]
     Left = 3
-    Top = 154
+    Top = 128
     Width = 585
-    Height = 135
+    Height = 161
     Anchors = [akLeft, akTop, akRight]
     BevelOuter = bvNone
-    TabOrder = 11
+    TabOrder = 10
     object lblReason: TLabel
       Left = 0
@@ -35,4 +69,5 @@
       Align = alTop
       Caption = 'Reason for Request'
+      ExplicitWidth = 95
     end
     object memReason: TRichEdit
@@ -40,5 +75,5 @@
       Top = 13
       Width = 585
-      Height = 122
+      Height = 148
       Align = alClient
       Font.Charset = ANSI_CHARSET
@@ -60,40 +95,4 @@
     end
   end
-  object lblUrgency: TStaticText [2]
-    Left = 309
-    Top = 2
-    Width = 44
-    Height = 17
-    Anchors = [akTop, akRight]
-    Caption = 'Urgency'
-    TabOrder = 17
-  end
-  object lblPlace: TStaticText [3]
-    Left = 454
-    Top = 43
-    Width = 104
-    Height = 17
-    Anchors = [akTop, akRight]
-    Caption = 'Place of Consultation'
-    TabOrder = 18
-  end
-  object lblAttn: TStaticText [4]
-    Left = 454
-    Top = 2
-    Width = 46
-    Height = 17
-    Anchors = [akTop, akRight]
-    Caption = 'Attention'
-    TabOrder = 19
-  end
-  object lblProvDiag: TStaticText [5]
-    Left = 309
-    Top = 81
-    Width = 104
-    Height = 17
-    Anchors = [akTop, akRight]
-    Caption = 'Provisional Diagnosis'
-    TabOrder = 20
-  end
   inherited memOrder: TCaptionMemo
     Left = 3
@@ -101,4 +100,6 @@
     Width = 417
     Height = 41
+    TabStop = True
+    Anchors = [akLeft, akBottom]
     Lines.Strings = (
       'The order text...'
@@ -106,28 +107,11 @@
       '--------------------------------'
       'An order message may be displayed here.')
-    TabOrder = 1
-  end
-  inherited cmdAccept: TButton
-    Left = 427
-    Top = 315
-    TabOrder = 12
-  end
-  inherited cmdQuit: TButton
-    Left = 531
-    Top = 315
-    Width = 61
-    TabOrder = 13
-  end
-  inherited pnlMessage: TPanel
-    Left = 13
-    Top = 295
-    Width = 377
-    Anchors = [akLeft, akRight, akBottom]
-    TabOrder = 14
-    inherited memMessage: TRichEdit
-      Width = 292
-    end
-  end
-  object cboService: TORComboBox
+    TabOrder = 11
+    ExplicitLeft = 3
+    ExplicitTop = 305
+    ExplicitWidth = 417
+    ExplicitHeight = 41
+  end
+  object cboService: TORComboBox [7]
     Left = 0
     Top = 16
@@ -151,4 +135,5 @@
     SynonymChars = '<>'
     TabOrder = 0
+    TabStop = True
     OnChange = ControlChange
     OnClick = cboServiceSelect
@@ -158,5 +143,5 @@
     CharsNeedMatch = 1
   end
-  object cboUrgency: TORComboBox
+  object cboUrgency: TORComboBox [8]
     Left = 309
     Top = 16
@@ -166,5 +151,4 @@
     Style = orcsDropDown
     AutoSelect = True
-    Caption = 'Urgency'
     Color = clWindow
     DropDownCount = 8
@@ -179,10 +163,10 @@
     Sorted = False
     SynonymChars = '<>'
-    TabOrder = 4
+    TabOrder = 3
     TabStop = True
     OnChange = ControlChange
     CharsNeedMatch = 1
   end
-  object cboPlace: TORComboBox
+  object cboPlace: TORComboBox [9]
     Left = 454
     Top = 56
@@ -192,5 +176,4 @@
     Style = orcsDropDown
     AutoSelect = True
-    Caption = 'Place of Consultation'
     Color = clWindow
     DropDownCount = 8
@@ -205,9 +188,9 @@
     Sorted = False
     SynonymChars = '<>'
-    TabOrder = 7
+    TabOrder = 6
     OnChange = ControlChange
     CharsNeedMatch = 1
   end
-  object txtProvDiag: TCaptionEdit
+  object txtProvDiag: TCaptionEdit [10]
     Left = 309
     Top = 94
@@ -219,9 +202,8 @@
     PopupMenu = mnuPopProvDx
     ShowHint = True
-    TabOrder = 9
+    TabOrder = 8
     OnChange = txtProvDiagChange
-    Caption = 'Provisional Diagnosis'
-  end
-  object txtAttn: TORComboBox
+  end
+  object txtAttn: TORComboBox [11]
     Left = 454
     Top = 16
@@ -231,5 +213,4 @@
     Style = orcsDropDown
     AutoSelect = True
-    Caption = 'Attention'
     Color = clWindow
     DropDownCount = 8
@@ -244,10 +225,10 @@
     Sorted = False
     SynonymChars = '<>'
-    TabOrder = 5
+    TabOrder = 4
     OnChange = ControlChange
     OnNeedData = txtAttnNeedData
     CharsNeedMatch = 1
   end
-  object treService: TORTreeView
+  object treService: TORTreeView [12]
     Left = 0
     Top = 38
@@ -264,16 +245,16 @@
     ParentFont = False
     ReadOnly = True
-    TabOrder = 3
+    TabOrder = 2
     Visible = False
     OnChange = treServiceChange
     OnCollapsing = treServiceCollapsing
+    OnEnter = treServiceEnter
     OnExit = treServiceExit
     OnKeyDown = treServiceKeyDown
     OnKeyUp = treServiceKeyUp
     OnMouseDown = treServiceMouseDown
-    Caption = 'object lblService: TLabel'
     NodePiece = 0
   end
-  object cboCategory: TORComboBox
+  object cboCategory: TORComboBox [13]
     Left = 225
     Top = -5
@@ -297,5 +278,5 @@
     CharsNeedMatch = 1
   end
-  object pnlServiceTreeButton: TKeyClickPanel
+  object pnlServiceTreeButton: TKeyClickPanel [14]
     Left = 274
     Top = 14
@@ -313,5 +294,5 @@
     Font.Style = []
     ParentFont = False
-    TabOrder = 2
+    TabOrder = 1
     TabStop = True
     OnClick = btnServiceTreeClick
@@ -323,4 +304,5 @@
       Width = 22
       Height = 22
+      Hint = 'View services/specialties hierarchically'
       Glyph.Data = {
         26050000424D26050000000000003604000028000000100000000F0000000100
@@ -367,8 +349,10 @@
         FFFFFFFFFFFFFFFFFFFF}
       Margin = 0
+      ParentShowHint = False
+      ShowHint = True
       OnClick = btnServiceTreeClick
     end
   end
-  object cmdLexSearch: TButton
+  object cmdLexSearch: TButton [15]
     Left = 543
     Top = 94
@@ -377,8 +361,8 @@
     Anchors = [akTop, akRight]
     Caption = 'Lexicon'
-    TabOrder = 10
+    TabOrder = 9
     OnClick = cmdLexSearchClick
   end
-  object gbInptOpt: TGroupBox
+  object gbInptOpt: TGroupBox [16]
     Left = 309
     Top = 35
@@ -387,5 +371,5 @@
     Anchors = [akTop, akRight]
     Caption = 'Patient will be seen as an:'
-    TabOrder = 6
+    TabOrder = 5
     object radInpatient: TRadioButton
       Left = 3
@@ -407,5 +391,5 @@
     end
   end
-  object btnDiagnosis: TButton
+  object btnDiagnosis: TButton [17]
     Left = 543
     Top = 95
@@ -414,6 +398,109 @@
     Anchors = [akTop, akRight]
     Caption = 'Diagnosis'
-    TabOrder = 8
+    TabOrder = 7
     OnClick = btnDiagnosisClick
+  end
+  inherited cmdAccept: TButton
+    Left = 439
+    Top = 315
+    Anchors = [akLeft, akBottom]
+    TabOrder = 12
+    ExplicitLeft = 439
+    ExplicitTop = 315
+  end
+  inherited cmdQuit: TButton
+    Left = 531
+    Top = 315
+    Width = 61
+    Anchors = [akLeft, akBottom]
+    TabOrder = 13
+    ExplicitLeft = 531
+    ExplicitTop = 315
+    ExplicitWidth = 61
+  end
+  inherited pnlMessage: TPanel
+    Left = 13
+    Top = 295
+    Width = 377
+    Anchors = [akLeft, akRight, akBottom]
+    TabOrder = 14
+    ExplicitLeft = 13
+    ExplicitTop = 295
+    ExplicitWidth = 377
+    inherited memMessage: TRichEdit
+      Width = 292
+      ExplicitWidth = 292
+    end
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = pnlReason'
+        'Status = stsDefault')
+      (
+        'Component = memReason'
+        'Label = lblReason'
+        'Status = stsOK')
+      (
+        'Component = cboService'
+        'Status = stsDefault')
+      (
+        'Component = cboUrgency'
+        'Label = lblUrgency'
+        'Status = stsOK')
+      (
+        'Component = cboPlace'
+        'Label = lblPlace'
+        'Status = stsOK')
+      (
+        'Component = txtProvDiag'
+        'Label = lblProvDiag'
+        'Status = stsOK')
+      (
+        'Component = txtAttn'
+        'Label = lblAttn'
+        'Status = stsOK')
+      (
+        'Component = treService'
+        'Status = stsDefault')
+      (
+        'Component = cboCategory'
+        'Status = stsDefault')
+      (
+        'Component = pnlServiceTreeButton'
+        'Status = stsDefault')
+      (
+        'Component = cmdLexSearch'
+        'Status = stsDefault')
+      (
+        'Component = gbInptOpt'
+        'Status = stsDefault')
+      (
+        'Component = radInpatient'
+        'Status = stsDefault')
+      (
+        'Component = radOutpatient'
+        'Status = stsDefault')
+      (
+        'Component = btnDiagnosis'
+        'Status = stsDefault')
+      (
+        'Component = memOrder'
+        'Status = stsDefault')
+      (
+        'Component = cmdAccept'
+        'Status = stsDefault')
+      (
+        'Component = cmdQuit'
+        'Status = stsDefault')
+      (
+        'Component = pnlMessage'
+        'Status = stsDefault')
+      (
+        'Component = memMessage'
+        'Status = stsDefault')
+      (
+        'Component = frmODCslt'
+        'Status = stsDefault'))
   end
   object mnuPopProvDx: TPopupMenu
